<?php

function getEMI($amount, $term, $rate){
	
	$rate=$rate/100;
	$rate=$rate/12; // Monthly interest rate

	$emi=$amount * $rate * (pow(1 + $rate,$term)/(pow(1 + $rate,$term)-1));
	$emi = number_format($emi, 2, '.', ''); 
	
	return $emi;
}

function delascii($title)
{
$title=trim($title);
$title=str_replace(htmlentities("'",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities("\"",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities("\"",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities("/",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities(">",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities("<",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities("]",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities("[",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities("}",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities("{",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities(":",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities("?",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities("\\",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities("+",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities("=",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities("*",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities("&",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities("^",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities("%",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities("$",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities("#",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities("@",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities("!",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities("`",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities("~",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities("|",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities(";",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities(",",ENT_QUOTES),'',$title);
$title=str_replace(htmlentities(".",ENT_QUOTES),'',$title);
$var="-";
$var1="--";
for($i=0;$i<=100;$i++)
{
if(strpos($title,htmlentities($var1,ENT_QUOTES)))
{
$title=str_replace(htmlentities($var1,ENT_QUOTES),'-',$title);
}

}

return $title;

}
function delLongword($title)
{
$arr=array();
$arr=explode(" ",$title);
$avoy="";
foreach($arr as $val => $value)
{
	if(strlen($value)<15)
	{
		$avoy.=$value." ";
	}
}

  return $avoy;
}

function islongword($title)
{
$arr=array();
$arr=explode(" ",$title);
$avoy="";
foreach($arr as $val => $value)
{
	if(strlen($value)>15)
	{
		$avoy="1";
		
		break;
	}
}

  return $avoy;
}
function substr_charecter ($paragraph, $num_words) {
$noofcharecter=strlen($paragraph);
$str=substr($paragraph,0,$num_words);
 if($noofcharecter>$num_words)
  {
  	$str.="...";
  }
  return $str;
}

function substr_words ($paragraph, $num_words) {
	$noofwords=count_words($paragraph);
  $paragraph = explode (' ', $paragraph);
  $paragraph = array_slice ($paragraph, 0, $num_words);
  $str= implode (' ', $paragraph);
  if($noofwords>$num_words)
  {
  	$str.="...";
  }
  return $str;
}
function fetwordfromurl($title)
{
$arr=array();
$title=trim($title);
$title=str_replace('/',' ',$title);
$title=str_replace('-',' ',$title);
$arr=explode(' ',$title);
foreach($arr as $val => $value)
{
if(ctype_alpha($value))
{
	$avoy.=ucwords($value)." ";
}
}
return $avoy;
}

function makeurl($title)
{
$title=delascii($title);
$arr=array();
$title=trim($title);
$title=str_replace(' ','-',$title);
$title=strtolower($title);

return $title;
}

function count_words($str)
{
$no = count(explode(" ",$str));
return $no;
}
function makeRandomString($max=6) {
    $i = 0; //Reset the counter.
    $possible_keys = "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";
    $keys_length = strlen($possible_keys);
    $str = ""; //Let's declare the string, to add later.
    while($i<$max) {
        $rand = mt_rand(1,$keys_length-1);
        $str.= $possible_keys[$rand];
        $i++;
    }
    return $str;
}

function make_int_duration($duration)
{
$duration_int=0;
$arr=explode(':',$duration);
if(count($arr)==3)
{
$duration_int=$arr[0]*3600;
$duration_int+=$arr[1]*60;
$duration_int+=$arr[2];
}
elseif(count($arr)==2)
{
$duration_int=$arr[0]*60;
$duration_int+=$arr[1];
}
elseif(count($arr)==2)
{
$duration_int=$arr[0];
}
return $duration_int;
}

function make_int_duration1($duration)
{
$duration_int=0;
$arr=explode('h',$duration);

if(count($arr)>1)
{
$duration_int+=$arr[0]*3600;
$duration=$arr[1];
}
$arr=explode('min',$duration);
$duration_int+=$arr[0]*60;

return $duration_int;
}

function make_int_duration2($duration)
{
$duration_int=0;
$arr=explode('h',$duration);

if(count($arr)>1)
{
$duration_int+=$arr[0]*3600;
$duration=$arr[1];
}
$arr=explode('m',$duration);
if(count($arr)>1)
{
$duration_int+=$arr[0]*60;
$duration=$arr[1];
}
$arr=explode('s',$duration);
$duration_int+=$arr[0];

return $duration_int;
}


function make_string_duration($duration)
{
$duration_str="";

if($duration/3600>=1)
{
	
	$duration_str=str_pad(floor($duration/3600),2,"0",STR_PAD_LEFT);
	$duration_str.=":";
	$duration=$duration%3600;
	
}
if($duration/60>=1)
{
	$duration_str.=str_pad(floor($duration/60),2,"0",STR_PAD_LEFT);
	$duration=$duration%60;
	$duration_str.=":";
}
else
{
	$duration_str.="00:";
}
$duration_str.=str_pad($duration,2,"0",STR_PAD_LEFT);



return $duration_str;
}

function curPageURL() {
 $pageURL = 'http';
 if ($_SERVER["HTTPS"] == "on") {$pageURL .= "s";}
 $pageURL .= "://";
 if ($_SERVER["SERVER_PORT"] != "80") {
  $pageURL .= $_SERVER["SERVER_NAME"].":".$_SERVER["SERVER_PORT"].$_SERVER["REQUEST_URI"];
 } else {
  $pageURL .= $_SERVER["SERVER_NAME"].$_SERVER["REQUEST_URI"];
 }
 return $pageURL;
}


function discountCalculate($actualPrice,$discount)
{
	//selling price = actual price - (actual price * (discount / 100))
	//$sellingPrice = $actualPrice- ($actualPrice * ($discount / 100));
	$discountPrice = ($actualPrice * ($discount / 100));
	return($discountPrice);
	
}

function customerDiscountCalculate($actualPrice,$discount)
{
	//selling price = actual price - (actual price * (discount / 100))
	//$sellingPrice = $actualPrice- ($actualPrice * ($discount / 100));
	$discountPrice = ($actualPrice * ($discount / 100));
	return($discountPrice);	
}

function get_country_list($countryID){
	global $prev;
	$sql_country="select * from ".$prev."country order by short_name";
	$re_country=mysql_query($sql_country);
	$option='<option value="0">--Select--</option>';
	while($d_country=mysql_fetch_array($re_country)){
		
		if($d_country['country_id']==$countryID){
			$select='selected="selected"';
		}else{
			$select='';
		}
		
		$option.='<option value="'.$d_country['country_id'].'"'.$select.'>'.$d_country['short_name'].'</option>';
	}
	
	return $option;
}

function get_state_list($countryID,$stateID){
	
	global $prev;
	$sql_state="select * from ".$prev."parishes where countryID='".$countryID."' order by title";
	$re_state=mysql_query($sql_state);
	$option='<option value="0">--Select--</option>';
	while($d_state=mysql_fetch_array($re_state)){
		
		if($d_state['id']==$stateID){
			$select='selected="selected"';
		}else{
			$select='';
		}
		
		$option.='<option value="'.$d_state['id'].'"'.$select.'>'.$d_state['title'].'</option>';
	}
	
	return $option;
	
}



function jobpost_details($getid)
 {
			global $prev;
			$sql_jobpostdetails="select * from ".$prev."job_post where id='".$getid."' " ;
			$datasql_jobpostdetails=@mysql_query($sql_jobpostdetails);
			$data_value_jobpostdetails=@mysql_fetch_array($datasql_jobpostdetails);
			return $data_value_jobpostdetails;
 }
function get_timespan_string($date1,$date2) {


$diff = abs(strtotime($date2) - strtotime($date1));

$years = floor($diff / (365*60*60*24));
$months = floor(($diff - $years * 365*60*60*24) / (30*60*60*24));
$days = floor(($diff - $years * 365*60*60*24 - $months*30*60*60*24)/ (60*60*24));
if($months==0 && $years==0)
{
$months=1;
}
$str=sprintf("%d years, %d months ", $years, $months, $days);
$str=" (".$str.") ";
return $str;
} 

function get_timespan_string_2($date1,$date2) {


$diff = abs(strtotime($date2) - strtotime($date1));

$years = floor($diff / (365*60*60*24));
$months = floor(($diff - $years * 365*60*60*24) / (30*60*60*24));
$days = floor(($diff - $years * 365*60*60*24 - $months*30*60*60*24)/ (60*60*24));
if($months==0 && $years==0)
{
$months=1;
}
$str=sprintf("%d years, %d months ", $years, $months, $days);
return $str;
} 
function get_sub_string($str,$no)
{
if(strlen($str)>$no)
{
$str=substr($str,0,$no)."...";
}

return $str;
}
function get_static_text1($typeID,$languageID)
{
	global $prev;
	$sql_statictext="select title from ".$prev."statictext1 where typeID='$typeID' and languageID='".$languageID."' ";
	$re_statictext=mysql_query($sql_statictext);
	$d_statictext=mysql_fetch_array($re_statictext);
	$statictext=$d_statictext['title'];
	return $statictext;
}
function get_static_text2($typeID,$languageID)
{
	global $prev;
	$sql_statictext="select title from ".$prev."statictext2 where typeID='$typeID' and languageID='".$languageID."' ";
	$re_statictext=mysql_query($sql_statictext);
	$d_statictext=mysql_fetch_array($re_statictext);
	$statictext=$d_statictext['title'];
	return $statictext;
}
function get_static_text3($typeID,$languageID)
{
	global $prev;
	$sql_statictext="select title from ".$prev."statictext3 where typeID='$typeID' and languageID='".$languageID."' ";
	$re_statictext=mysql_query($sql_statictext);
	$d_statictext=mysql_fetch_array($re_statictext);
	$statictext=$d_statictext['title'];
	return $statictext;
}
function get_static_text4($typeID,$languageID)
{
	global $prev;
	$sql_statictext="select title from ".$prev."statictext4 where typeID='$typeID' and languageID='".$languageID."' ";
	$re_statictext=mysql_query($sql_statictext);
	$d_statictext=mysql_fetch_array($re_statictext);
	$statictext=$d_statictext['title'];
	return $statictext;
}
function get_static_text10($typeID,$languageID)
{
	global $prev;
	$sql_statictext="select title from ".$prev."statictext10 where typeID='$typeID' and languageID='".$languageID."' ";
	$re_statictext=mysql_query($sql_statictext);
	$d_statictext=mysql_fetch_array($re_statictext);
	$statictext=$d_statictext['title'];
	return $statictext;
}
function get_product_pic($picture)
{
if($picture=='')
{
	
		$str="images/noimage.jpg";

	
}
else
{
$str=$picture;
}
return $str;

function grab_image($url,$saveto){
    $ch = curl_init ($url);
    curl_setopt($ch, CURLOPT_HEADER, 0);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_BINARYTRANSFER,1);
    $raw=curl_exec($ch);
    curl_close ($ch);
    if(file_exists($saveto)){
        unlink($saveto);
    }
    $fp = fopen($saveto,'x');
    fwrite($fp, $raw);
    fclose($fp);
}	
function encrypt($string, $key) {
$result = '';
for($i=0; $i<strlen($string); $i++) {
$char = substr($string, $i, 1);
$keychar = substr($key, ($i % strlen($key))-1, 1);
$char = chr(ord($char)+ord($keychar));
$result.=$char;
}
return base64_encode($result);
}
function decrypt($string, $key) {
$result = '';
$string = base64_decode($string);
for($i=0; $i<strlen($string); $i++) {
$char = substr($string, $i, 1);
$keychar = substr($key, ($i % strlen($key))-1, 1);
$char = chr(ord($char)-ord($keychar));
$result.=$char;
}
return $result;
}
}
?>